#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cryptsetup
Version		:	2.3.3
Release		:	14.4.0.0%{?dist}
Summary		:	A utility for setting up encrypted disks
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gitlab.com/cryptsetup/cryptsetup

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	openssl-devel
BuildRequires	:	libgcrypt
BuildRequires	:	LVM2
BuildRequires	:	json-c-devel
BuildRequires	:	popt
#-----------------------------------------------------------------------------
%description
The '%{name}' package contains a utility for setting up
disk encryption using dm-crypt kernel module.

#-----------------------------------------------------------------------------
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--disable-static				\
	--with-crypto_backend=openssl			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/lib%{name}.h
%{_libdir}/lib%{name}.{la,so*}
%{_libdir}/pkgconfig/lib%{name}.pc
%{_sbindir}/%{name}
%{_sbindir}/%{name}-reencrypt
%{_sbindir}/*setup
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
